set(NETGEN_VERSION "6.2.2401")
set(NETGEN_VERSION_MAJOR "6")
set(NETGEN_VERSION_MINOR "2")
set(NETGEN_VERSION_PATCH "2401")
set(NETGEN_VERSION_TWEAK "0")

get_filename_component(NETGEN_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)

get_filename_component(NETGEN_DIR "${NETGEN_CMAKE_DIR}/../../../../" ABSOLUTE)

set(NETGEN_COMPILE_DEFINITIONS "HAVE_DLFCN_H;$<$<CONFIG:RelWithDebInfo>:OCC_CONVERT_SIGNALS>;$<$<CONFIG:RelWithDebInfo>:HAVE_TK>;$<$<CONFIG:RelWithDebInfo>:HAVE_XLIB>;$<$<CONFIG:RelWithDebInfo>:HAVE_FREETYPE>;$<$<CONFIG:RelWithDebInfo>:HAVE_FREEIMAGE>;$<$<CONFIG:RelWithDebInfo>:HAVE_OPENGL_EXT>;$<$<CONFIG:RelWithDebInfo>:HAVE_TBB>;$<$<CONFIG:RelWithDebInfo>:HAVE_RAPIDJSON>;OCCGEOMETRY;JPEGLIB;FFMPEG;__STDC_CONSTANT_MACROS")

get_filename_component(NETGEN_INCLUDE_DIR "${NETGEN_CMAKE_DIR}/../../../../include/netgen" ABSOLUTE)
get_filename_component(NETGEN_BINARY_DIR "${NETGEN_CMAKE_DIR}/../../../../bin" ABSOLUTE)
get_filename_component(NETGEN_LIBRARY_DIR "${NETGEN_CMAKE_DIR}/../../" ABSOLUTE)
get_filename_component(NETGEN_PYTHON_DIR "${NETGEN_CMAKE_DIR}/../../../python3/dist-packages" ABSOLUTE)
get_filename_component(NETGEN_RESOURCE_DIR "${NETGEN_CMAKE_DIR}/../../../../share" ABSOLUTE)

set(NETGEN_SOURCE_DIR "/build/reproducible-path/netgen-6.2.2401+dfsg1")

set(NETGEN_BUILD_FOR_CONDA "OFF")
set(NETGEN_CHECK_RANGE "OFF")
set(NETGEN_INCLUDE_DIRS "${NETGEN_INCLUDE_DIR}/include;${NETGEN_INCLUDE_DIR}")
set(NETGEN_CMAKE_THREAD_LIBS_INIT "")
set(NETGEN_FFMPEG_LIBRARIES "/usr/lib/powerpc64le-linux-gnu/libavcodec.so;/usr/lib/powerpc64le-linux-gnu/libavformat.so;/usr/lib/powerpc64le-linux-gnu/libavutil.so;/usr/lib/powerpc64le-linux-gnu/libswscale.so")
set(NETGEN_JPEG_INCLUDE_DIR "/usr/include")
set(NETGEN_JPEG_LIBRARIES "/usr/lib/powerpc64le-linux-gnu/libjpeg.so")
set(NETGEN_LIBTOGL "")
set(NETGEN_METIS_INCLUDE_DIR "/usr/include")
set(NETGEN_METIS_LIBRARY "/usr/lib/powerpc64le-linux-gnu/libmetis.so")
set(NETGEN_MKL_LIBRARIES "")
set(NETGEN_MPI_CXX_INCLUDE_PATH "/usr/lib/powerpc64le-linux-gnu/openmpi/include;/usr/lib/powerpc64le-linux-gnu/openmpi/include/openmpi")
set(NETGEN_MPI_CXX_LIBRARIES "/usr/lib/powerpc64le-linux-gnu/openmpi/lib/libmpi_cxx.so;/usr/lib/powerpc64le-linux-gnu/openmpi/lib/libmpi.so")
set(NETGEN_NUMA_LIBRARY "")
set(NETGEN_OCC_DIR "")
set(NETGEN_OCC_INCLUDE_DIR "/usr/include/opencascade")
set(NETGEN_OCC_LIBRARIES_BIN "/usr/bin")
set(NETGEN_OCC_LIBRARIES "-Wl,--start-group;TKBO;TKBRep;TKBool;TKCAF;TKCDF;TKFillet;TKG2d;TKG3d;TKGeomAlgo;TKGeomBase;TKHLR;TKLCAF;TKMath;TKMesh;TKOffset;TKPrim;TKDESTL;TKService;TKShHealing;TKTopAlgo;TKV3d;TKVCAF;TKXCAF;TKDEIGES;TKDESTEP;TKXSBase;TKernel;-Wl,--end-group")
set(NETGEN_OCC_LIBRARY_DIR "/usr/lib/powerpc64le-linux-gnu")
set(NETGEN_OPENGL_LIBRARIES "/usr/lib/powerpc64le-linux-gnu/libOpenGL.so;/usr/lib/powerpc64le-linux-gnu/libGLX.so;/usr/lib/powerpc64le-linux-gnu/libGLU.so")
set(NETGEN_PYTHON_EXECUTABLE "/usr/bin/python3")
set(NETGEN_PYTHON_INCLUDE_DIRS "/usr/include/python3.12")
set(NETGEN_PYTHON_LIBRARIES "/usr/lib/powerpc64le-linux-gnu/libpython3.12.so")
set(NETGEN_TCL_INCLUDE_PATH "/usr/include/tcl")
set(NETGEN_TCL_LIBRARY "/usr/lib/powerpc64le-linux-gnu/libtclstub.a")
set(NETGEN_TK_DND_LIBRARY "")
set(NETGEN_TK_INCLUDE_PATH "/usr/include/tcl")
set(NETGEN_TK_LIBRARY "/usr/lib/powerpc64le-linux-gnu/libtkstub.a")
set(NETGEN_X11_X11_LIB "/usr/lib/powerpc64le-linux-gnu/libX11.so")
set(NETGEN_X11_Xmu_LIB "/usr/lib/powerpc64le-linux-gnu/libXmu.so")
set(NETGEN_ZLIB_INCLUDE_DIRS "/usr/include")
set(NETGEN_ZLIB_LIBRARIES "/usr/lib/powerpc64le-linux-gnu/libz.so")

set(NETGEN_USE_GUI ON)
set(NETGEN_USE_PYTHON ON)
set(NETGEN_USE_MPI ON)
set(NETGEN_USE_OCC ON)
set(NETGEN_USE_JPEG ON)
set(NETGEN_USE_MPEG ON)
set(NETGEN_USE_CGNS OFF)
set(NETGEN_INTEL_MIC OFF)
set(NETGEN_INSTALL_PROFILES OFF)
set(NETGEN_USE_CCACHE OFF)
set(NETGEN_USE_NATIVE_ARCH OFF)
set(NETGEN_USE_NUMA OFF)

set(NETGEN_PYTHON_RPATH "../../powerpc64le-linux-gnu")
set(NETGEN_RPATH_TOKEN "$ORIGIN")

set(NETGEN_INSTALL_DIR_PYTHON lib/python3/dist-packages)
set(NETGEN_INSTALL_DIR_BIN bin)
set(NETGEN_INSTALL_DIR_LIB lib/powerpc64le-linux-gnu)
set(NETGEN_INSTALL_DIR_INCLUDE include/netgen)
set(NETGEN_INSTALL_DIR_CMAKE lib/powerpc64le-linux-gnu/cmake/netgen)
set(NETGEN_INSTALL_DIR_RES share)

include(${CMAKE_CURRENT_LIST_DIR}/netgen-targets.cmake)
message(STATUS "Found Netgen: ${CMAKE_CURRENT_LIST_DIR}")
